Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman38.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman38.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman38.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman38 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.37.4 I1+I2+2*sqrt(I1*I2)*cos(delta)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman38() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman38(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman38(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.37.4 I1+I2+2*sqrt(I1*I2)*cos(delta) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "Int"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman38() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman38(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman39.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman39.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman39.cs	(revision 17642)
@@ -6,5 +6,26 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman39 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.38.12 4*pi*epsilon*(h/(2*pi))**2/(m*q**2)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman39() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman39(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman39(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman I.38.12 4*pi*epsilon*(h/(2*pi))**2/(m*q**2) | {0} samples", trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "r"; } }
@@ -14,9 +35,8 @@
     public int Seed { get; private set; }
 
-    public Feynman39() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman39(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -38,5 +58,5 @@
 
       for (var i = 0; i < m.Count; i++) {
-        var res = 4 * Math.PI * epsilon[i] * Math.Pow((h[i] / (2 * Math.PI)), 2) / (m[i] * Math.Pow(q[i], 2));
+        var res = 4 * Math.PI * epsilon[i] * Math.Pow(h[i] / (2 * Math.PI), 2) / (m[i] * Math.Pow(q[i], 2));
         r.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman4.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman4.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman4.cs	(revision 17642)
@@ -1,34 +1,49 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using HeuristicLab.Common;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman4 : FeynmanDescriptor{
- public override string Name { get { return "Feynman I.8.14 d = sqrt((x2-x1)^2+(y2-y1)^2)"; } }
+  public class Feynman4 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
 
- protected override string TargetVariable { get { return "d"; } }
-    protected override string[] VariableNames { get { return new string[] { "x1", "x2", "y1", "y2", "d"}; } }
-    protected override string[] AllowedInputVariables { get { return new string[] {"x1", "x2", "y1", "y2"}; } }
+    public Feynman4() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman4(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman4(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.8.14 sqrt((x2-x1)**2+(y2-y1)**2) | {0} samples", trainingSamples); }
+    }
+
+    protected override string TargetVariable { get { return "d"; } }
+    protected override string[] VariableNames { get { return new[] {"x1", "x2", "y1", "y2", "d"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"x1", "x2", "y1", "y2"}; } }
 
     public int Seed { get; private set; }
 
-    public Feynman4() : this((int)System.DateTime.Now.Ticks) { }
-
-    public Feynman4(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
-      var rand = new MersenneTwister((uint)Seed);
+      var rand = new MersenneTwister((uint) Seed);
 
       var data = new List<List<double>>();
-      var x1 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var x2 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var y1 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var y2 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var x1   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var x2   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var y1   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var y2   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
 
       var d = new List<double>();
@@ -40,10 +55,8 @@
       data.Add(d);
 
-
       for (var i = 0; i < x1.Count; i++) {
-        var res = Math.Sqrt(Math.Pow((x2[i] - x1[i]), 2) + Math.Pow((y2[i] - y1[i]), 2));
+        var res = Math.Sqrt(Math.Pow(x2[i] - x1[i], 2) + Math.Pow(y2[i] - y1[i], 2));
         d.Add(res);
       }
-
 
       return data;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman40.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman40.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman40.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman40 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.39.1 3/2*pr*V"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman40() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman40(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman40(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.39.1 3/2*pr*V | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman40() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman40(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman41.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman41.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman41.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman41 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.39.11 1/(gamma-1)*pr*V"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman41() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman41(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman41(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.39.11 1/(gamma-1)*pr*V | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman41() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman41(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman42.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman42.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman42.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman42 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.39.22 n*kb*T/V"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman42() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman42(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman42(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.39.22 n*kb*T/V | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "pr"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman42() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman42(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman43.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman43.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman43.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman43 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.40.1 n_0*exp(-m*g*x/(kb*T))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman43() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman43(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman43(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.40.1 n_0*exp(-m*g*x/(kb*T)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman43() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman43(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman44.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman44.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman44.cs	(revision 17642)
@@ -6,6 +6,27 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman44 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman44() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman44(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman44(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
     public override string Name {
-      get { return "Feynman I.41.16 h/(2*pi)*omega**3/(pi**2*c**2*(exp((h/(2*pi))*omega/(kb*T))-1))"; }
+      get {
+        return string.Format(
+          "Feynman I.41.16 h/(2*pi)*omega**3/(pi**2*c**2*(exp((h/(2*pi))*omega/(kb*T))-1)) | {0} samples",
+          trainingSamples);
+      }
     }
 
@@ -16,9 +37,8 @@
     public int Seed { get; private set; }
 
-    public Feynman44() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman44(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -42,5 +62,7 @@
 
       for (var i = 0; i < omega.Count; i++) {
-        var res = h[i] / (2 * Math.PI) * Math.Pow(omega[i], 3) / (Math.Pow(Math.PI, 2) * Math.Pow(c[i], 2) * (Math.Exp(h[i] / (2 * Math.PI) * omega[i] / (kb[i] * T[i])) - 1));
+        var res = h[i] / (2 * Math.PI) * Math.Pow(omega[i], 3) /
+                  (Math.Pow(Math.PI, 2) * Math.Pow(c[i], 2) *
+                   (Math.Exp(h[i] / (2 * Math.PI) * omega[i] / (kb[i] * T[i])) - 1));
         L_rad.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman45.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman45.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman45.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman45 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.43.16 mu_drift*q*Volt/d"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman45() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman45(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman45(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.43.16 mu_drift*q*Volt/d | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "v"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman45() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman45(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman46.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman46.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman46.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman46 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.43.31 mob*kb*T"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman46() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman46(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman46(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.43.31 mob*kb*T | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "D"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman46() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman46(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman47.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman47.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman47.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman47 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.43.43 1/(gamma-1)*kb*v/A"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman47() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman47(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman47(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.43.43 1/(gamma-1)*kb*v/A | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "kappa"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman47() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman47(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman48.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman48.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman48.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman48 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman I.44.4 n*kb*T*ln(V2/V1)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman48() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman48(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman48(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.44.4 n*kb*T*ln(V2/V1) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman48() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman48(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman49.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman49.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman49.cs	(revision 17642)
@@ -6,11 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman49 : FeynmanDescriptor {
-    public Feynman49() : this((int) DateTime.Now.Ticks) { }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman49() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
 
     public Feynman49(int seed) {
-      Seed = seed;
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
     }
 
-    public override string Name { get { return "Feynman I.47.23 sqrt(gamma*pr/rho)"; } }
+    public Feynman49(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.47.23 sqrt(gamma*pr/rho) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "c"; } }
@@ -19,4 +32,9 @@
 
     public int Seed { get; private set; }
+
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
